Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 4305 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Téma uzavřenoRiadena a neriadena honota

 Odpovědět Odpovědět archiv
Autor
hanc.mat Zobrazit panel
Diskutér
Diskutér

Přihlášen: 08.říj.2018
Lokalita: Slovensko
Používám:
Inventor 2018
Stav: Offline
Bodů: 11
Přímý odkaz na tuto zprávu Téma: Riadena a neriadena honota
    Zasláno: 31.říj.2018 v 10:56
Dobrý den, viete mi poradiť so zapinanim riadenej(referenčnej) a neriadenej koty?
'If questions = "Angle" Then
'     oSketch = ThisDoc.Document.ComponentDefinition.Sketches.Item("moj-sketch")
'     oSketch.DimensionConstraints.Item(FlangeAngle).Driven = True
'     oSketch.DimensionConstraints.Item(d293).Driven = False
'Else If questions = "Diameter" Then
'     oSketch = ThisDoc.Document.ComponentDefinition.Sketches.Item("moj_sketch")
'oSketch.DimensionConstraints.Item(d293).Driven = True
'oSketch.DimensionConstraints.Item(FlangeAngle).Driven = False
'End If
Vyhadzuje error a nechce mi zprepinat koty v rovnakom načrte.
Zpět nahoru
Navara Zobrazit panel
Arkance Systems support
Arkance Systems support
Avatar
Arkance Systems

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 1480
Přímý odkaz na tuto zprávu Zasláno: 31.říj.2018 v 11:25
Musíte se rozhodnout, jstli se ten náčrt jmenuje "moj-sketch" nebo "moj_sketch" Wink
Navíc identifikovat kótu musíte číslem (indexem v kolekci), ne názvem parametru
 
Výsledek
Sub Main()
 Dim oSketch As PlanarSketch = ThisDoc.Document.ComponentDefinition.Sketches.Item("moj-sketch")
 Dim dim1 = GetDimensionByParameterName(oSketch, "FlangeAngle")
 Dim dim2 = GetDimensionByParameterName(oSketch, "d293")
 If questions = "Angle" Then
  dim1.Driven = True
  dim2.Driven = False
 ElseIf questions = "Diameter" Then
  dim1.Driven = False
  dim2.Driven = True
 End If
End Sub
Function GetDimensionByParameterName(oSketch As Sketch, parameName As String)
 For Each d As DimensionConstraint In oSketch.DimensionConstraints
  If d.Parameter.Name = parameName Then
   Return d
  End If
 Next
 Return Nothing
End Function
 


Upravil Navara - 31.říj.2018 v 11:34
Zpět nahoru
hanc.mat Zobrazit panel
Diskutér
Diskutér

Přihlášen: 08.říj.2018
Lokalita: Slovensko
Používám:
Inventor 2018
Stav: Offline
Bodů: 11
Přímý odkaz na tuto zprávu Zasláno: 02.lis.2018 v 11:37
Dakujem za radu. vas prikaz som musel dat do čisteho pravidla nakoľko ak boli dalšie podmienky za vašim kodom vyhadzovalo to dalšie chyby.

kód stale vyhadzuje tu istu chybu:

Unspecified error (Exception from HRESULT: 0x80004005 (E_FAIL))
More info:
System.Runtime.InteropServices.COMException (0x80004005): Unspecified error (Exception from HRESULT: 0x80004005 (E_FAIL))
   at Microsoft.VisualBasic.CompilerServices.LateBinding.InternalLateSet(Object o, Type& objType, String name, Object[] args, String[] paramnames, Boolean OptimisticSet, CallType UseCallType)
   at Microsoft.VisualBasic.CompilerServices.NewLateBinding.LateSet(Object Instance, Type Type, String MemberName, Object[] Arguments, String[] ArgumentNames, Type[] TypeArguments, Boolean OptimisticSet, Boolean RValueBase, CallType CallType)
   at LmiRuleScript.Main()
   at Autodesk.iLogic.Exec.AppDomExec.ExecRuleInAssembly(Assembly assem)
   at iLogic.RuleEvalContainer.ExecRuleEval(String execRule)

Zpět nahoru
Navara Zobrazit panel
Arkance Systems support
Arkance Systems support
Avatar
Arkance Systems

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 1480
Přímý odkaz na tuto zprávu Zasláno: 02.lis.2018 v 12:46
tak sem dejte i ten model, protože mě to fungovalo
Zpět nahoru
hanc.mat Zobrazit panel
Diskutér
Diskutér

Přihlášen: 08.říj.2018
Lokalita: Slovensko
Používám:
Inventor 2018
Stav: Offline
Bodů: 11
Přímý odkaz na tuto zprávu Zasláno: 27.lis.2018 v 08:45
Ospravedlňujem sa a opravim moj unahleny post ...ano ak to nahodim na cistu verziu modelu kde nieje ziaden kod funguje to korektne - takze Vas kod funguje spravne!
Avšak ak to ale nahodim do môjho modelu kde je to naviazane na dalsie If ... tak to chybu vyhodi stale aj ked je to vo vlastnej rule a kod sa odkazuje len na danu rule ak ju požadujem z Formularu.
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 13008:Převod 3D mesh sítě na 3D těleso ve Fusion 360.
Tip 12939:Vlastní instalace CAD/BIM aplikací Autodesk 2022.
Tip 12925:Jak načíst souřadnice bodů z Excelu do AutoCADu?
Tip 12919:Jak nastavit účet pro produkty Autodesk Construction Cloud?
Tip 12911:Rozmazané písmo či ikony na HD (4K) monitoru.
Tip 12864:Doporučení vhodných fontů pro AutoCAD - jaké písmo je nejvhodnější? Jaké jsou rozdíly? Na co si dát pozor?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,359 sekund.